Get amendment data points configuration by country

Returns amendment data points configuration per country. If no countries filter is provided, returns configuration for all available countries. If no configuration exists for a country, all data points are treated as enabled. Token scopes: contracts:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

countrieslist of stringsOptional

Optional list of ISO 3166-1 alpha-2 country codes to filter results. Returns all countries if omitted.

enabledbooleanOptional

When true, returns only enabled data points. A data point is enabled if at least one of its items is not DISABLED_AMENDMENTS.

limitintegerOptional1-100Defaults to 20
Maximum number of results to return per page.
cursorstringOptional
Cursor from a previous response to fetch the next page of results.

Response

Data points configuration per country
dataobject
has_moreboolean
Whether more pages are available
next_cursorstring or null
Opaque cursor to pass as the cursor query param to fetch the next page. null when on the last page.
total_countinteger
Total number of countries with amendment settings in the database

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error